package com.wx.application.nebula.graph.query;

import java.util.List;

import lombok.Data;

@Data
public class Page {
	
	private List<?> records;
	
	private Integer total;
	
	private Integer page;
	
	private Integer pageSize;

	public Page() {
		
	}
	
	public Page(List<?> records, Integer total, Integer page, Integer pageSize) {
		this.records = records;
		this.total = total;
		this.page = page;
		this.pageSize = pageSize;
	}
	
	public List<?> getRecords() {
		return records;
	}

	public void setRecords(List<?> records) {
		this.records = records;
	}

	public Integer getTotal() {
		return total;
	}

	public void setTotal(Integer total) {
		this.total = total;
	}

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}
	
	
}
